> ## Documentation Index
> Fetch the complete documentation index at: https://docs.3ringscapital.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Pagination

> How list endpoints page through results.

List endpoints return a page of results plus a `meta` object describing the page.

```bash theme={null}
curl --url 'https://api.3ringscapital.co/v1/journals?businessId=biz_9f2&page=1&limit=25' \
  --header 'Authorization: Bearer 3r_live_•••'
```

```json theme={null}
{
  "data": [ { "id": "jrnl_7x2a9", "...": "..." } ],
  "meta": { "page": 1, "limit": 25, "total": 134, "hasMore": true }
}
```

## Parameters

| Parameter | Description | Default |
| - | - | - |
| `page` | 1-based page number | `1` |
| `limit` | Items per page (max `100`) | `25` |

## Paging through everything

Keep requesting the next page while `meta.hasMore` is `true`:

```text theme={null}
page = 1
loop:
  GET /v1/journals?businessId=biz_9f2&page={page}&limit=100
  process response.data
  if not response.meta.hasMore: stop
  page = page + 1
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.